Update order by ID

View as Markdown
Update order by its ID

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

orderIdstringRequired

Request

Your updated order details (only fields to be updated are required)

referencestringOptional
Your unique order reference
currencystringOptional

Currency in ISO 4217 format (e.g. USD, SGD)

descriptionstringOptional

Description of the order (e.g. Payment for Order #12345)

paidNotificationUrlstring or nullOptional

Your backend URL to receive payment notification (e.g. https://your-backend-app.com/payment-notification/ORDER-12345)

dueNotificationUrlstring or nullOptional

Your backend URL to receive due notification (e.g. https://your-backend-app.com/due-notification/ORDER-12345)

dueAtstring or nullOptional

Due date and time for the order, format: YYYY-MM-DD HH:mm:SS (e.g. 2026-05-05 22:00:00)

lineItemslist of objectsOptional

Response

Order updated successfully

Errors

404
Not Found Error
422
Unprocessable Entity Error